Categories:
  - Money
License: GPL-3.0-only
WebSite: https://btcontract.com
SourceCode: https://github.com/btcontract/wallet
IssueTracker: https://github.com/btcontract/wallet/issues

AutoName: Bitcoin
Description: |-
    Simple Bitcoin is a standalone wallet for Android devices which does not depend
    on any centralized service and gives you full control over your money. Here are
    some reasons to use it:

    * A single-page application which allows you to store your bitcoins securely and transfer them easily.
    * It is an HD wallet which means your balance and full transaction history can always be restored using a single mnemonic code should anything bad happen to your device.
    * This wallet is lightweight and blazingly fast. It works well even on a slow internet connections.
    * Wallet data is encrypted and password-protected.

RepoType: git
Repo: https://github.com/btcontract/wallet.git

Builds:
  - versionName: '1.04'
    versionCode: 30
    commit: a510a0e
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.06'
    versionCode: 36
    commit: 8ba3e84850ad7633f7910e601fc60c441f20c1a1
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.06'
    versionCode: 39
    commit: ac29f9b96ee02589ec73a7ed12c1166648e9b003
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.072'
    versionCode: 43
    commit: 664819a65f4ff4372a44f360660b9abbeabc0110
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.073'
    versionCode: 45
    commit: aabcba568e8a475279ed978ea215c6cbcf84f62f
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.074'
    versionCode: 47
    commit: 291ed3ba4c758c17f897f826be4505b885151c33
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.075'
    versionCode: 52
    commit: 361654ae9e749a881780d89d904a5dc42432bdf8
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: '1.075'
CurrentVersionCode: 55
